import { useRequest as request } from '@/use/useHttp'

/**
 *  获取所有剪样订单列表
 * @returns
 */
export const GetCutSampleOrderListApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/list',
    method: 'get',
  })
}

/**
 *  获取剪样订单状态列表
 * @returns
 */
export const GetCutSampleOrderStatusApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/audit_status',
    method: 'get',
  })
}

/**
 *  取消订单
 * @returns
 */
export const CutSampleOrderCancelApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/cancel',
    method: 'put',
  })
}

/**
 *  获取剪样面料列表
 * @returns
 */
export const GetSampleOrderProductApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/products',
    method: 'get',
  })
}

/**
 *  获取剪样订单详情
 * @returns
 */
export const GetCutSampleOrderDetailApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/detail',
    method: 'get',
  })
}

/**
 *  提交订单
 * @returns
 */
export const submitCutSampleOrderApi = () => {
  return request({
    url: '/v1/mall/cutSampleOrder/submit',
    method: 'post',
  })
}
